//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Wed Jun  9 18:31:38 2004 by ROOT version 4.00/06
// from TTree h5/DET
// found on file: kopio_mc_v075.root
//////////////////////////////////////////////////////////

#ifndef KopioMCntuple5_h
#define KopioMCntuple5_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>

class KopioMCntuple5 {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   // Declaration of leave types
   Int_t           Nsd;
   UChar_t         Snum[127];   //[Nsd]
   UChar_t         Dnum[127];   //[Nsd]
   UChar_t         Nv_dim[127];   //[Nsd]
   UChar_t         Bitsv[127][7];   //[Nsd]
   Char_t          Sname[3361];
   Char_t          Dname1[3361];
   Char_t          Dname2[3361];
   Char_t          Dname3[3361];
   Char_t          Dname4[3361];

   // List of branches
   TBranch        *b_Nsd;   //!
   TBranch        *b_Snum;   //!
   TBranch        *b_Dnum;   //!
   TBranch        *b_Nv_dim;   //!
   TBranch        *b_Bitsv;   //!
   TBranch        *b_Sname;   //!
   TBranch        *b_Dname1;   //!
   TBranch        *b_Dname2;   //!
   TBranch        *b_Dname3;   //!
   TBranch        *b_Dname4;   //!

   KopioMCntuple5(TTree *tree=0);
   ~KopioMCntuple5();
   Int_t  Cut(Int_t entry);
   Int_t  GetEntry(Int_t entry);
   Int_t  LoadTree(Int_t entry);
   void   Init(TTree *tree);
   void   Loop();
   Bool_t Notify();
   void   Show(Int_t entry = -1);
};

#endif

#ifdef KopioMCntuple5_cxx
KopioMCntuple5::KopioMCntuple5(TTree *tree)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("kopio_mc_v075.root");
      if (!f) {
         f = new TFile("kopio_mc_v075.root");
      }
      tree = (TTree*)gDirectory->Get("h5");

   }
   Init(tree);
}

KopioMCntuple5::~KopioMCntuple5()
{
  cout << "<KopioMCntuple5::~KopioMCntuple5>: (1)" << endl;
   if (!fChain) return;
  cout << "<KopioMCntuple5::~KopioMCntuple5>: (2)" << endl;
   delete fChain->GetCurrentFile();
  cout << "<KopioMCntuple5::~KopioMCntuple5>: (3)" << endl;
}

Int_t KopioMCntuple5::GetEntry(Int_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Int_t KopioMCntuple5::LoadTree(Int_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Int_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->IsA() != TChain::Class()) return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void KopioMCntuple5::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses of the tree
   // will be set. It is normaly not necessary to make changes to the
   // generated code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running with PROOF.

   // Set branch addresses
   if (tree == 0) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("Nsd",&Nsd);
   fChain->SetBranchAddress("Snum",Snum);
   fChain->SetBranchAddress("Dnum",Dnum);
   fChain->SetBranchAddress("Nv_dim",Nv_dim);
   fChain->SetBranchAddress("Bitsv",Bitsv);
   fChain->SetBranchAddress("Sname",Sname);
   fChain->SetBranchAddress("Dname1",Dname1);
   fChain->SetBranchAddress("Dname2",Dname2);
   fChain->SetBranchAddress("Dname3",Dname3);
   fChain->SetBranchAddress("Dname4",Dname4);
   Notify();
}

Bool_t KopioMCntuple5::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. Typically here the branch pointers
   // will be retrieved. It is normaly not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed.

   // Get branch pointers
   b_Nsd = fChain->GetBranch("Nsd");
   b_Snum = fChain->GetBranch("Snum");
   b_Dnum = fChain->GetBranch("Dnum");
   b_Nv_dim = fChain->GetBranch("Nv_dim");
   b_Bitsv = fChain->GetBranch("Bitsv");
   b_Sname = fChain->GetBranch("Sname");
   b_Dname1 = fChain->GetBranch("Dname1");
   b_Dname2 = fChain->GetBranch("Dname2");
   b_Dname3 = fChain->GetBranch("Dname3");
   b_Dname4 = fChain->GetBranch("Dname4");

   return kTRUE;
}

void KopioMCntuple5::Show(Int_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t KopioMCntuple5::Cut(Int_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef KopioMCntuple5_cxx
